# Generated from fastlane-plugin-retry_tests-2.3.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fastlane-plugin-retry_tests

Name: rubygem-%{gem_name}
Version: 2.3.7
Release: 1%{?dist}
Summary: Makes testing your iOS app easier
License: MIT
URL: https://github.com/kouzoh/fastlane-plugin-retry_tests
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(colorize)
# BuildRequires: rubygem(fastlane) >= 2.56.0
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
This fastlane plugin includes the following actions:
1) multi_scan: uses scan to run Xcode tests, optionally in batches, a given
number of times: only re-testing failing tests.
2) suppress_tests_from_junit: uses a junit xml report file to suppress either
passing or failing tests in an Xcode Scheme.
3) suppress_tests: suppresses specific tests in a specific or all Xcode
Schemes in a given project.
4) suppressed_tests: retrieves a list of tests that are suppressed in a
specific or all Xcode Schemes in a project.
5) tests_from_junit: retrieves the failing and passing tests as reported in a
junit xml file.
6) tests_from_xctestrun: retrieves all of the tests from xctest bundles
referenced by the xctestrun file
7) collate_junit_reports: collects and correctly organizes junit reports from
multiple test passes.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 2.3.7-1
- Initial package
